Package org.opensaml.xmlsec

# Enum Class AlgorithmPolicyConfiguration.Precedence

java.lang.Object
java.lang.Enum<AlgorithmPolicyConfiguration.Precedence>
org.opensaml.xmlsec.AlgorithmPolicyConfiguration.Precedence

All Implemented Interfaces:
  `Serializable`, `Comparable<AlgorithmPolicyConfiguration.Precedence>`, `Constable`

Enclosing interface:
  AlgorithmPolicyConfiguration

public static enum AlgorithmPolicyConfiguration.Precedence extends Enum<AlgorithmPolicyConfiguration.Precedence>
Rule precedence values.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXCLUDE`
Exclude takes precedence over include.
`INCLUDE`
Include takes precedence over exclude.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Precedence()`

## Method Summary

Modifier and Type
Method
Description
`static AlgorithmPolicyConfiguration.Precedence`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AlgorithmPolicyConfiguration.Precedence[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INCLUDE

public static final AlgorithmPolicyConfiguration.Precedence INCLUDE
Include takes precedence over exclude.

### EXCLUDE

public static final AlgorithmPolicyConfiguration.Precedence EXCLUDE
Exclude takes precedence over include.

## Constructor Details

### Precedence

private Precedence()

## Method Details

### values

public static AlgorithmPolicyConfiguration.Precedence[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AlgorithmPolicyConfiguration.Precedence valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null